<?php
// +-------------------------------------------------+
//  2002-2004 PMB Services / www.sigb.net pmb@sigb.net et contributeurs (voir www.sigb.net)
// +-------------------------------------------------+
// $Id: mail_configuration.tpl.php,v 1.1.2.3 2022/09/07 08:24:34 dgoron Exp $

if (stristr($_SERVER['REQUEST_URI'], ".tpl.php")) die("no access");

global $mail_configuration_domain_content_form, $mail_configuration_address_content_form, $msg;
global $mail_configuration_protocol_content_form, $mail_configuration_hote_content_form, $mail_configuration_authentification_content_form;
global $mail_configuration_allowed_overrides_content_form;

$mail_configuration_domain_content_form = "
<div class='row'>
	<label class='etiquette' for='mail_configuration_domain'>".$msg['mail_configuration_domain']."</label>
</div>
<div class='row'>
	!!name!!
	<input type='hidden' id='name' name='name' value='!!name!!' />
</div>
";

$mail_configuration_address_content_form = "
<div class='row'>
	<label class='etiquette' for='mail_configuration_address'>".$msg['mail_configuration_address']."</label>
</div>
<div class='row'>
	!!name!!
	<input type='hidden' id='name' name='name' value='!!name!!' />
</div>
";

$mail_configuration_protocol_content_form = "
<div class='row'>
	<label class='etiquette' for='mail_configuration_protocol'>".$msg['mail_configuration_protocol']."</label>
</div>
<div class='row'>
	!!protocol_selector!!
</div>
";

$mail_configuration_hote_content_form = "
<div class='row'>
	<label class='etiquette' for='mail_configuration_hote'>".$msg['mail_configuration_hote']."</label>
</div>
<div class='row'>
	<input type='text' class='saisie-50em' name='mail_configuration_hote' id='mail_configuration_hote' value='!!hote!!' !!hote_readonly!!/>
</div>
<div class='row'>
	<label class='etiquette' for='mail_configuration_port'>".$msg['mail_configuration_port']."</label>
</div>
<div class='row'>
	<input type='text' class='saisie-10em' name='mail_configuration_port' id='mail_configuration_port' value='!!port!!' !!hote_readonly!!/>
</div>
";

$mail_configuration_authentification_content_form = "
<div class='row'>
	<label class='etiquette' for='mail_configuration_authentification'>".$msg['mail_configuration_authentification']."</label>
</div>
<div class='row'>
	<input type='checkbox' name='mail_configuration_authentification' id='mail_configuration_authentification' value='1' !!authentification!! !!authentification_readonly!! />
</div>
<div class='row'>
	<label class='etiquette' for='mail_configuration_user'>".$msg['mail_configuration_user']."</label>
</div>
<div class='row'>
	<input type='text' class='saisie-50em' name='mail_configuration_user' id='mail_configuration_user' value='!!user!!' !!authentification_readonly!! />
</div>
<div class='row'>
	<label class='etiquette' for='mail_configuration_password'>".$msg['mail_configuration_password']."</label>
</div>
<div class='row'>
	<input type='password' class='saisie-50em' name='mail_configuration_password' id='mail_configuration_password' value='!!password!!' !!authentification_readonly!! />
</div>
<div class='row'>
	<label class='etiquette' for='mail_configuration_secure_protocol'>".$msg['mail_configuration_secure_protocol']."</label>
</div>
<div class='row'>
	!!secure_protocol_selector!!
</div>
<div class='row'>
	<label class='etiquette' for='mail_configuration_authentification_type'>".$msg['mail_configuration_authentification_type']."</label>
</div>
<div class='row'>
	!!authentification_type_selector!!
</div>
";

$mail_configuration_allowed_overrides_content_form = "
<div class='row'>
	<label class='etiquette' for='mail_configuration_allowed_hote_override'>".$msg['mail_configuration_allowed_hote_override']."</label>
</div>
<div class='row'>
	<input type='checkbox' name='mail_configuration_allowed_hote_override' id='mail_configuration_allowed_hote_override' value='1' !!allowed_hote_override!! />
</div>
<div class='row'>
	<label class='etiquette' for='mail_configuration_allowed_authentification_override'>".$msg['mail_configuration_allowed_authentification_override']."</label>
</div>
<div class='row'>
	<input type='checkbox' name='mail_configuration_allowed_authentification_override' id='mail_configuration_allowed_authentification_override' value='1' !!allowed_authentification_override!! />
</div>
";